Qt 5.6 | Qt 3D | C++ Classes | QDirectionalLight

Qt 5.6.3 Reference Documentation

# QDirectionalLight Class

(Qt3DRender::QDirectionalLight)

Inherits: | QLight

- List of all members, including inherited members

## Properties

- direction : QVector3D

- 3 properties inherited from Qt3DRender::QLight
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QDirectionalLight(Qt3DCore::QNode *parent = Q_NULLPTR)
QVector3D | direction() const

- 3 public functions inherited from Qt3DRender::QLight
- 1 public function inherited from Qt3DRender::QShaderData
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDirection(const QVector3D &direction)

- 3 public slots inherited from Qt3DRender::QLight
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | directionChanged(const QVector3D &direction)

- 3 signals inherited from Qt3DRender::QLight
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QDirectionalLight(QDirectionalLightPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DRender::QLight
- 1 protected function inherited from Qt3DRender::QShaderData
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### direction : QVector3D

Access functions:

QVector3D | direction() const
void | setDirection(const QVector3D &direction)

Notifier signal:

void | directionChanged(const QVector3D &direction)

## Member Function Documentation

### QDirectionalLight::QDirectionalLight(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QDirectionalLight.

### `[protected]` QDirectionalLight::QDirectionalLight(QDirectionalLightPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### `[protected]` void QDirectionalLight::copy(const Qt3DCore::QNode *ref)